Hypetech Parceiros
Início
Hypetech Games
Início
Hypetech Games
  1. Acessing games
  • Overview
  • About Hypetech API
  • Mandatory validation rules
  • Setup Webhook
  • Signature Verification
  • Error Handling
  • APIs
    • Acessing games
      • Create Session
        POST
      • Get Game List
        GET
    • Sessions
      • Session Transactions
      • Active Sessions
    • Webhook
      • Register Bet
      • Register Win
      • Balance
      • Rollback
    • Promotional
      • Free bet
        • Redeem Free Bet
  1. Acessing games

Create Session

POST
/games/request-access
This endpoint returns a URL that allows a user of the customer platform to place bets. Each URL is unique and contains user session information; they expire as soon as the user logs in for the first time to ensure their security.
Before using this endpoint, make sure that all hooks related to balance checking and betting are configured correctly.

Requisição

Authorization
Bearer Token
Forneça seu token bearer no cabeçalho
Authorization
ao fazer requisições para recursos protegidos.
Exemplo:
Authorization: Bearer ********************
or
Parâmetros Bodyapplication/json

Examples

Respostas

🟢200Success
application/json
Body

🟠401Not authorized
🟠404Route not found
🔴500Internal server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://player.api.hypetech.games/games/request-access' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "game": "aviador", //required 
  "user_id": "99e27bf0-35da-46e2-a82d-07c492d1ed25", //required
  "username": "Jhon Doe", //required
  "avatar_url": "https://gravatar.com/avatar/example",
  "lang": "pt",
  "currency": "BRL",
  "balance": 20,
  "extra_data": "optional-string-or-json-string",
  "demo": false,
  "demo_session": false,
  "expires_in_minutes": 60
}'
Response Response Example
200 - Response sample
{
    "game_url": "https://general-swine.com/",
    "session_token": "adipisicing"
}
Modificado em 2026-05-04 19:24:39
Página anterior
Error Handling
Próxima página
Get Game List